Loading...
Searching...
No Matches
gx_engine::ConvolverAdapter Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::ConvolverAdapter:

## Public Member Functions

| ConvolverAdapter (EngineControl &engine, sigc::slot< void > sync)
| ~ConvolverAdapter ()
void | restart ()
bool | conv_start ()
const std::string & | getIRFile () const
void | set_sync (bool val)
std::string | getFullIRPath () const
const std::string & | getIRDir () const
bool | set (const GxJConvSettings &jcset) const
const GxJConvSettings & | get_jcset () const
ParamMap & | get_parameter_map () const

## Public Attributes

Plugin | plugin

## Protected Member Functions

void | change_buffersize (unsigned int size)

## Protected Attributes

GxConvolver | conv
boost::mutex | activate_mutex
EngineControl & | engine
sigc::slot< void > | sync
bool | activated
GxJConvSettings | jcset
JConvParameter * | jcp
Protected Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Detailed Description

Definition at line 358 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## ConvolverAdapter()

gx_engine::ConvolverAdapter::ConvolverAdapter | ( | EngineControl & | engine,
|  | sigc::slot< void > | sync )

## ~ConvolverAdapter()

gx_engine::ConvolverAdapter::~ConvolverAdapter | ( |  | ) |

## Member Function Documentation

## change_buffersize()

void gx_engine::ConvolverAdapter::change_buffersize | ( | unsigned int | size | ) |

protected

## conv_start()

bool gx_engine::ConvolverAdapter::conv_start | ( |  | ) |

## get_jcset()

const GxJConvSettings & gx_engine::ConvolverAdapter::get_jcset | ( |  | ) | const

inline

Definition at line 381 of file gx_internal_plugins.h.

## get_parameter_map()

ParamMap & gx_engine::ConvolverAdapter::get_parameter_map | ( |  | ) | const

inline

Definition at line 382 of file gx_internal_plugins.h.

## getFullIRPath()

std::string gx_engine::ConvolverAdapter::getFullIRPath | ( |  | ) | const

inline

Definition at line 378 of file gx_internal_plugins.h.

## getIRDir()

const std::string & gx_engine::ConvolverAdapter::getIRDir | ( |  | ) | const

inline

Definition at line 379 of file gx_internal_plugins.h.

## getIRFile()

const std::string & gx_engine::ConvolverAdapter::getIRFile | ( |  | ) | const

inline

Definition at line 376 of file gx_internal_plugins.h.

## restart()

void gx_engine::ConvolverAdapter::restart | ( |  | ) |

## set()

bool gx_engine::ConvolverAdapter::set | ( | const GxJConvSettings & | jcset | ) | const

inline

Definition at line 380 of file gx_internal_plugins.h.

## set_sync()

void gx_engine::ConvolverAdapter::set_sync | ( | bool | val | ) |

inline

Definition at line 377 of file gx_internal_plugins.h.

## Member Data Documentation

## activate_mutex

boost::mutex gx_engine::ConvolverAdapter::activate_mutex

protected

Definition at line 361 of file gx_internal_plugins.h.

## activated

bool gx_engine::ConvolverAdapter::activated

protected

Definition at line 364 of file gx_internal_plugins.h.

## conv

GxConvolver gx_engine::ConvolverAdapter::conv

protected

Definition at line 360 of file gx_internal_plugins.h.

Referenced by set_sync().

## engine

EngineControl& gx_engine::ConvolverAdapter::engine

protected

Definition at line 362 of file gx_internal_plugins.h.

Referenced by ConvolverAdapter(), gx_engine::ConvolverMonoAdapter::ConvolverMonoAdapter(), gx_engine::ConvolverStereoAdapter::ConvolverStereoAdapter(), and get_parameter_map().

## jcp

JConvParameter* gx_engine::ConvolverAdapter::jcp

protected

Definition at line 368 of file gx_internal_plugins.h.

Referenced by set().

## jcset

GxJConvSettings gx_engine::ConvolverAdapter::jcset

protected

Definition at line 367 of file gx_internal_plugins.h.

Referenced by get_jcset(), getFullIRPath(), getIRDir(), getIRFile(), and set().

## plugin

Plugin gx_engine::ConvolverAdapter::plugin

Definition at line 370 of file gx_internal_plugins.h.

## sync

sigc::slot<void> gx_engine::ConvolverAdapter::sync

protected

Definition at line 363 of file gx_internal_plugins.h.

Referenced by ConvolverAdapter(), gx_engine::ConvolverMonoAdapter::ConvolverMonoAdapter(), and gx_engine::ConvolverStereoAdapter::ConvolverStereoAdapter().

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h